<?php
if (!defined('ABSPATH')) exit;

function rs_zoddak_add_admin_menu() {

    add_menu_page(
        'Zoddak Integration',
        T_('Zoddak Resales Integration'),
        'manage_options',
        'rs_zoddak_resales_config',
        ['RsAdminController', 'resalesConfig'],
        ZODDAK_RESALES_PLUGIN_URL . 'images/zoddak-20x20.png',
        25
    );

    add_submenu_page(
        'rs_zoddak_resales_config',
        T_('Properties Display'),
        T_('Properties Display'),
        'manage_options',
        'rs_zoddak_customize_properties_display',
        ['RsAdminController', 'rsCustomizeProperties']
    );

    add_submenu_page(
        'rs_zoddak_resales_config',
        T_('Customize Filter'),
        T_('Customize Filter'),
        'manage_options',
        'rs_zoddak_customize_filters',
        ['RsAdminController', 'rsCustomizeFilters']
    );
    add_submenu_page(
        'rs_zoddak_resales_config',
        T_('Property Details Display'),
        T_('Property Details Display'),
        'manage_options',
        'rs_zoddak_customize_property_details',
        ['RsAdminController', 'rsCustomizeDetails']
    );
    add_submenu_page(
        'rs_zoddak_resales_config',
        T_('Resales admin settings'),
        T_('Resales admin settings'),
        'manage_options',
        'rs_zoddak_admin_settings',
        ['RsAdminController', 'resalesSettingsView']
    );
    
}
add_action('admin_menu', 'rs_zoddak_add_admin_menu');
